## dolphin 17.04.3

=== debian/changelog ===
dolphin (4:17.04.3-0ubuntu2) artful; urgency=medium

  * mtpfs has been removed upstream, using go-mtpfs instead

 -- Clive Johnston <clivejo@kubuntu.org>  Sat, 19 Aug 2017 16:47:41 +0100

dolphin (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * Add upstream_fix_kfileitemmodel_test.diff
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:30 +0100
