## dolphin 17.08.3

=== debian/changelog ===
dolphin (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Add recommends for kimageformat-plugins (Closes: 875259)
    Thanks to Ignacio R. Morelle for reporting.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch dolphin-dev as Multi-Arch: same.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 09:50:35 +0100

dolphin (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Move libdolphinvcs5 to section libs, as it contains a shared library.
  * Fix typo in an old changelog entry.
  * Drop not-installed file, no more needed.
  * Switch kio-dev dependency to libkf5kio-dev in libdolphinvcs-dev.
  * Drop unused ${shlibs:Depends} substvar from dolphin-dev, and
    libdolphinvcs-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 10:26:06 +0100

dolphin (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:48 +0200

dolphin (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:11 +0000

dolphin (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:25 +0000

dolphin (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:52 +0000

dolphin (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:09:21 +0000

dolphin (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:30 +0000

dolphin (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:12 +0000

dolphin (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:06 +0000

dolphin (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:46 +0000

dolphin (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:10 +0000

dolphin (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:43 +0000

dolphin (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:47 +0000

dolphin (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:55 +0000

dolphin (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:05 +0000

dolphin (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:35 +0000

dolphin (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:46:02 +0000

dolphin (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 20 May 2016 14:20:10 +0000

dolphin (4:16.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 09 May 2016 14:26:42 +0000
