## dolphin 17.12.3

=== po/CMakeLists.txt ===
ki18n_install_ts_files(fi fi/scripts/dolphin)
