=== debian/changelog ===
dolphin (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)
  * debian/patches: upstream_fix-standard-shortcuts.patch 

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:45 +0000

dolphin (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:50 +0000

dolphin (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Drop upstream applied patch; upstream_fix_kfileitemmodel_test.diff

  [ Rik Mills ]
  * Update install files - no kxmlgui5 path, as now bundled into qrc resources
  * Add Section:libs to libdolphinvcs5 as prompted by lintian
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:14 +0000
