## dolphin 18.04.0

=== debian/changelog ===
dolphin (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies:
    - bump the Qt packages to >= 5.8.0~
    - bump almost all the Frameworks packages to >= 5.43.0~
    - remove libkf5texteditor-dev, as it is not used
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 10:38:27 +0200
