## dolphin 18.04.3

=== debian/changelog ===
dolphin (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Add PlacesItemModelTest to kubuntu_disable-failing-tests.patch. This
    test expects values to be returned which are currently hard coded in
    the test, but these can vary depending on the version of Frameworks.
    The test needs to be fixed upstream to be adaptive to this.
    See: https://phabricator.kde.org/D12464

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 Aug 2018 16:12:10 +0100

dolphin (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Drop upstream applied fix-standard-shortcuts.patch
  * Refresh kubuntu_disable-failing-tests.patch
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:42 +0100

dolphin (4:17.12.3-0ubuntu3) cosmic; urgency=medium

  * Drop obsolete KDE4 recommends on libkonq-common

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 06 Jul 2018 08:41:30 +0100

dolphin (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Disable test broken on upstream KDE CI

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 15 Jun 2018 09:51:47 +0100
